uuid: d954f9d3-e174-4cbf-be6e-d6d6229fa510
langcode: en
status: true
dependencies:
  module:
    - islandora_text_extraction
id: generate_extracted_text_for_media_attachment
label: 'hOCR for Media Attachment'
type: media
plugin: generate_extracted_text_file
configuration:
  queue: islandora-connector-ocr
  event: 'Generate Derivative'
  source_term_uri: 'http://pcdm.org/use#OriginalFile'
  mimetype: text/plain
  args: '-c tessedit_create_hocr=1 -c hocr_font_info=0'
  path: '[date:custom:Y]-[date:custom:m]/[media:mid]-extracted_text.txt'
  source_field_name: field_media_file
  destination_field_name: field_hocr_extracted_text
  destination_media_type: file
  scheme: null
  destination_text_field_name: none
  text_format: hocr
